πŸ“‘API Endpoints

API Status

This endpoint retrieves the API endpoint status.

API Status

get
Header parameters
x-api-keystringRequired

API key needed to access the endpoint

Example: your-api-key
Responses
chevron-right
200

Successful response

application/json
msgstringOptionalExample: Welcome to Chainlyze API V2
get
/p/ping
200

Successful response


Supported Chains

This endpoint retrieves the list of supported crypto networks.

List chains

get
Header parameters
x-api-keystringRequired

API key needed to access the endpoint

Example: your-api-key
Responses
chevron-right
200

Successful response with list of chains

application/json
idstringOptionalExample: 30000000-0000-0000-0000-000000000001
namestringOptionalExample: Ethereum
short_namestringOptionalExample: ETH
native_tokenstringOptionalExample: ethereum
evm_chain_idintegerOptionalExample: 1
is_testnetbooleanOptionalExample: false
is_supportedbooleanOptionalExample: true
coingecko_idstringOptionalExample: ethereum
explorerstringOptionalExample: https://etherscan.io
get
/p/chain/list
200

Successful response with list of chains


Token Balances

This endpoint retrieves the wallet token balances

Get wallet balances

get
Query parameters
addressstringRequired

The wallet address to retrieve data for.

Example: 0x1234567890abcdef1234567890abcdef12345678
page[size]integerOptional

The number of results to return per page.

Example: 50
page[index]integerOptional

The page number to retrieve. Starts from 0.

Example: 0
Header parameters
x-api-keystringRequired

API key needed to access the endpoint

Example: your-api-key
Responses
chevron-right
200

Successful response with wallet balances

application/json
namestringOptionalExample: Chainlink
symbolstringOptionalExample: LINK
balancestringOptionalExample: 10.00000000
pricenumber Β· floatOptionalExample: 7.5
iconstringOptionalExample: https://cdn.chainlyze.io/logos/chainlink-link-logo.png
chain_idstringOptionalExample: ethereum
get
/p/balance/token/list
200

Successful response with wallet balances


DeFi Portfolio Positions

This endpoint retrieves the DeFi position of a specific wallet

Get position balances

get
Query parameters
addressstringRequired

The wallet address to retrieve data for.

Example: 0x1234567890abcdef1234567890abcdef12345678
page[size]integerOptional

The number of results to return per page.

Example: 50
page[index]integerOptional

The page number to retrieve. Starts from 0.

Example: 0
Header parameters
x-api-keystringRequired

API key needed to access the endpoint

Example: your-api-key
Responses
chevron-right
200

Successful response with position balances

application/json
protocolstringOptionalExample: Uniswap V3
namestringOptionalExample: Uniswap V3 ETH/WETH Pool
position_typestringOptionalExample: deposit
amountstringOptionalExample: 0.12345
pricenumber Β· floatOptionalExample: 3355.123
iconstringOptionalExample: https://cdn.chainlyze.io/0x1234567890abcdef1234567890abcdef12345678.png
chain_idstringOptionalExample: ethereum
get
/p/balance/defi-position/list
200

Successful response with position balances


Wallet Transactions

This endpoints retrieves the transaction history of a specific wallet

List transactions

get
Query parameters
addressstringRequired

The wallet address to retrieve data for.

Example: 0x1234567890abcdef1234567890abcdef12345678
cursor[limit]integerOptional

The maximum number of results to return in the response.

Example: 10
cursor[hash]stringOptional

The cursor hash to retrieve the next page of results.

Example: 2abc3def4ghi5jkl6mno7pqr8stu9vwx0yzab
Header parameters
x-api-keystringRequired

API key needed to access the endpoint

Example: your-api-key
Responses
chevron-right
200

Successful response with transaction data

application/json
get
/p/transaction/list
200

Successful response with transaction data

Last updated